Name: beryl-core
Version: 0.2.1
Release: alt1

Group: Graphical desktop/Other
Summary: Beryl OpenGL window and compositing manager
Url: http://www.beryl-project.org/
License: GPL

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: %name-%version.tar.bz2

Patch0: beryl-core-0.1.9999.1-alt-libadd.patch

# Automatically added by buildreq on Sat Dec 23 2006
BuildRequires: gcc-c++ glib2-devel intltool libSM-devel libXcomposite-devel libXdamage-devel libXrender-devel
BuildRequires: libXinerama-devel libXrandr-devel libmesa-devel libpng-devel libstartup-notification-devel

%description
Beryl is a combined window manager and compositing manager that runs
on top of Xgl or AIGLX using OpenGL to provide effects accelerated
by a 3D graphics card on the desktop.
Beryl is a community-driven fork of Compiz.

%package devel
Summary: Development packages for beryl
Group: Development/C
Requires: %name = %version-%release

%description devel
The beryl-core-devel package includes the header and library files
for the beryl-core package.

%prep
%setup -q

%patch0 -p1

%__subst 's,_.*,,' po/LINGUAS
pushd po
	for f in *_*.po; do
		[ -f ${f/_*/}.po ] || mv $f ${f/_*/}.po
	done
popd

%build
intltoolize --force
%__autoreconf
%configure \
	--disable-static \
	--enable-librsvg \
	--disable-berylmesa
%make_build

%install
%make DESTDIR=%buildroot install

%__ln_s beryl %buildroot%_bindir/beryl-xgl

%__rm -rf %buildroot%_man3dir
%__rm -f %buildroot%_man1dir/beryl-settings-dump*
%__mkdir -p %buildroot%_datadir/beryl/settings

%find_lang %name

%post
%post_ldconfig

%postun
%postun_ldconfig

%files -f %name.lang
%_bindir/*
%_libdir/*.so.*
%dir %_libdir/beryl
%dir %_libdir/beryl/backends
%_libdir/beryl/backends/*.so
%dir %_datadir/beryl
%_datadir/beryl/*.png
%_datadir/beryl/settings
%_man1dir/beryl*

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*

%changelog
* Mon Mar 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.1-alt1
- 0.2.1

* Thu Mar 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.0-alt1
- 0.2.0 release

* Sun Feb 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.0-alt0.0rc1
- 0.2.0-RC1

* Mon Feb 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.0-alt0.0pre1
- 0.2.0pre1

* Tue Dec 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Tue Dec 26 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.3-alt2
- add symlink to beryl-xgl

* Mon Dec 11 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.3-alt1
- new version

* Thu Nov 09 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.2-alt1
- new version

* Tue Nov 07 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.1-alt1
- initial specfile

